Subject: Re: [patch net-next 2/2] sched: introduce vlan action

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 12 Nov 2014 07:27:24 -0500

On 11/12/14 02:47, Jiri Pirko wrote:
> Wed, Nov 12, 2014 at 12:18:47AM CET, [email-masked] wrote:

>> I know vlan tag is not exactly the skb metadata, but still seems
>> fits in skbedit for me.
>
> I was thinking about that as well. It seems much clearer to add a new
> action.
>

Cong,
I think it is better to have all these "tunneling" activities
as a separate action each. It is cleaner from a usability perspective.
[e.g. it is not hard to express nat action with pedit action or take
checksum out of nat since we have a csum action), but makes sense to
have it separate)].

cheers,
jamal